BlogAssist 2.2.2 released

Announcing an update to my handy HTML markup tool, BlogAssist.

This is technically a bug-fix release, but has some changes that have been much requested, and takes the unusual step of increasing the price slightly — but you can still buy it at the old price for a limited time via the Dejal Store. It also increased the minimum system requirements to Tiger, as per my standard policy for updates now: all apps will drop Panther support as they are updated. The previous version, that supports 10.3.9, is still available for those who have old machines, though.

I decided to bump up the price slightly mainly because it is way too cheap for what it does. Even at the new prices, it is really too cheap — it should be more like $25. But increasing prices too much in this economy doesn't seem like a sensible idea. :) Even at the new price, it's still a bargain, and I hope it won't cause any hesitation. I have lots of ideas for future enhancements, so a more sustainable price helps support future work.

Here are the changes in version 2.2.2:

  • Pressing Enter in the Services window will now always work as an equivalent for the OK button, instead of inserting a new line in the active field (pressing Return will still do so, though).
  • No longer always adds itself to the Login Items on launch. Still does so on the first launch (when running from the Applications folder), as a convenience, but not after that. You can toggle the preference off or on as desired.
  • Fixed an issue that could prevent finding licenses in very rare circumstances.
  • Removed the old crash reporter, since it doesn't support Leopard crash logs.
  • Prices increased slightly (get at the old price via the Dejal Store for a short time!).
  • Now requires a minimum of Mac OS X 10.4 (Tiger).

Download BlogAssist now!